cgGetNextPass(3)

NAME
cgGetNextPass - iterate through the passes in a technique

SYNOPSIS
  #include <Cg/cg.h>
  CGpass cgGetNextPass( CGpass pass );

PARAMETERS

pass
    The current pass.

RETURN VALUES
Returns the next pass in the technique's internal sequence of passes.

Returns NULL when pass is the last pass in the technique.

DESCRIPTION
The passes within a technique can be iterated over using cgGetNextPass.

Passes are returned in the order defined in the technique.

EXAMPLES
  CGpass pass = cgGetFirstPass( technique );
  while( pass )
  {
    /* do something with pass */
    pass = cgGetNextPass( pass )
  }

ERRORS
CG_INVALID_PASS_HANDLE_ERROR is generated if pass is not a valid pass.

HISTORY
cgGetNextPass was introduced in Cg 1.4.

SEE ALSO
the cgGetFirstPass manpage, the cgGetNamedPass manpage, the cgIsPass manpage